<div>
<form (ngSubmit)="guardar()" #forma="ngForm">
  <label for="">Correo Electronico</label>
  <input type="text"
        placeholder="Escribir correo electronico..."
        name="email"
        [(ngModel)]="validar.formularioCorreo"
        required
        minlength="25"
        #email="ngModel"
        [class.is-invalid]="email.invalid && email.touched"
        pattern="^(([^<>()\[\]\.,;:\s@\”]+(\.[^<>()\[\]\.,;:\s@\”]+)*)|(\”.+\”))@(([^<>()[\]\.,;:\s@\”]+\.)+[^<>()[\]\.,;:\s@\”]{2,})$"
        >

  <button type="submit" [disabled]="!forma.valid" (click)="verificar=!verificar">Verificar</button>

  <div *ngIf="verificar">
    <small *ngIf="email.valid">el correo electronico es valido</small>
    <small *ngInf="email.invalid">el correo electronico es invalido</small>
  </div>
  
  
</form>
</div>